Index: doc/latex/classEKFCh__cond.tex
===================================================================
--- doc/latex/classEKFCh__cond.tex (revision 261)
+++ doc/latex/classEKFCh__cond.tex (revision 280)
@@ -3,34 +3,21 @@
 \label{classEKFCh__cond}\index{EKFCh\_\-cond@{EKFCh\_\-cond}}
 }
-Extended Kalman filter with unknown {\tt Q}.  
-
-
-Inheritance diagram for EKFCh\_\-cond:\nopagebreak
-\begin{figure}[H]
+Inheritance diagram for EKFCh\_\-cond::\begin{figure}[H]
 \begin{center}
 \leavevmode
-\includegraphics[height=400pt]{classEKFCh__cond__inherit__graph}
+\includegraphics[height=6cm]{classEKFCh__cond}
 \end{center}
 \end{figure}
-Collaboration diagram for EKFCh\_\-cond:\nopagebreak
-\begin{figure}[H]
-\begin{center}
-\leavevmode
-\includegraphics[width=400pt]{classEKFCh__cond__coll__graph}
-\end{center}
-\end{figure}
-\subsection*{Public Member Functions}
-\begin{CompactItemize}
-\item 
-\hypertarget{classEKFCh__cond_727af5503bba3063c115994dd6adb059}{
-\hyperlink{classEKFCh__cond_727af5503bba3063c115994dd6adb059}{EKFCh\_\-cond} (\hyperlink{classbdm_1_1RV}{RV} rx, \hyperlink{classbdm_1_1RV}{RV} ry, \hyperlink{classbdm_1_1RV}{RV} ru, \hyperlink{classbdm_1_1RV}{RV} rC)}
-\label{classEKFCh__cond_727af5503bba3063c115994dd6adb059}
-
-\begin{CompactList}\small\item\em Default constructor. \item\end{CompactList}\item 
+
+
+\subsection{Detailed Description}
+Extended Kalman filter with unknown {\tt Q}. \subsection*{Public Member Functions}
+\begin{CompactItemize}
+\item 
 \hypertarget{classEKFCh__cond_93ccb6731b68f28e0fb43393d8c66e1d}{
 void \hyperlink{classEKFCh__cond_93ccb6731b68f28e0fb43393d8c66e1d}{condition} (const vec \&val)}
 \label{classEKFCh__cond_93ccb6731b68f28e0fb43393d8c66e1d}
 
-\begin{CompactList}\small\item\em Substitute {\tt val} for {\tt rvc}. \item\end{CompactList}\item 
+\begin{CompactList}\small\item\em condition on value of pfxu \item\end{CompactList}\item 
 \hypertarget{classbdm_1_1EKFCh_50f9fbffad721f35e5ccb75d0f6b842a}{
 void \hyperlink{classbdm_1_1EKFCh_50f9fbffad721f35e5ccb75d0f6b842a}{set\_\-parameters} (diffbifn $\ast$\hyperlink{classbdm_1_1EKFCh_e1e895f994398a55bc425551fc275ba3}{pfxu}, diffbifn $\ast$\hyperlink{classbdm_1_1EKFCh_6b34c69641826322467b704e8252f317}{phxu}, const \hyperlink{classchmat}{chmat} Q0, const \hyperlink{classchmat}{chmat} R0)}
@@ -38,7 +25,7 @@
 
 \begin{CompactList}\small\item\em Set nonlinear functions for mean values and covariance matrices. \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1KalmanCh_ab3a87ba1831e53f193a9dfbaf56a879}{
-void \hyperlink{classbdm_1_1KalmanCh_ab3a87ba1831e53f193a9dfbaf56a879}{set\_\-parameters} (const mat \&A0, const mat \&B0, const mat \&C0, const mat \&D0, const \hyperlink{classchmat}{chmat} \&R0, const \hyperlink{classchmat}{chmat} \&Q0)}
-\label{classbdm_1_1KalmanCh_ab3a87ba1831e53f193a9dfbaf56a879}
+\hypertarget{classbdm_1_1KalmanCh_20a4d4c664e8ac8a3f1bb7b0d11c6d87}{
+void \hyperlink{classbdm_1_1KalmanCh_20a4d4c664e8ac8a3f1bb7b0d11c6d87}{set\_\-parameters} (const mat \&A0, const mat \&B0, const mat \&C0, const mat \&D0, const \hyperlink{classchmat}{chmat} \&Q0, const \hyperlink{classchmat}{chmat} \&R0)}
+\label{classbdm_1_1KalmanCh_20a4d4c664e8ac8a3f1bb7b0d11c6d87}
 
 \begin{CompactList}\small\item\em Set parameters with check of relevance. \item\end{CompactList}\item 
@@ -48,19 +35,24 @@
 
 \begin{CompactList}\small\item\em Here dt = \mbox{[}yt;ut\mbox{]} of appropriate dimensions. \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1KalmanCh_f559387dd38bd6002be490cc62987290}{
-void \hyperlink{classbdm_1_1KalmanCh_f559387dd38bd6002be490cc62987290}{set\_\-est} (const vec \&mu0, const \hyperlink{classchmat}{chmat} \&P0)}
-\label{classbdm_1_1KalmanCh_f559387dd38bd6002be490cc62987290}
+\hypertarget{classbdm_1_1KalmanCh_6e169272657ed101f3d128b49c59b890}{
+void \textbf{set\_\-statistics} (const vec \&mu0, const \hyperlink{classchmat}{chmat} \&P0)}
+\label{classbdm_1_1KalmanCh_6e169272657ed101f3d128b49c59b890}
+
+\item 
+\hypertarget{classbdm_1_1Kalman_9264fc6b173ecb803d2684b883f32c68}{
+void \hyperlink{classbdm_1_1Kalman_9264fc6b173ecb803d2684b883f32c68}{set\_\-est} (const vec \&mu0, const \hyperlink{classchmat}{chmat} \&P0)}
+\label{classbdm_1_1Kalman_9264fc6b173ecb803d2684b883f32c68}
 
 \begin{CompactList}\small\item\em Set estimate values, used e.g. in initialization. \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1Kalman_93b5936ba397f13c05f52885c545f42d}{
-const epdf \& \hyperlink{classbdm_1_1Kalman_93b5936ba397f13c05f52885c545f42d}{\_\-epdf} () const }
-\label{classbdm_1_1Kalman_93b5936ba397f13c05f52885c545f42d}
+\hypertarget{classbdm_1_1Kalman_f75e487ff6c129d7012d702030f8c890}{
+const epdf \& \hyperlink{classbdm_1_1Kalman_f75e487ff6c129d7012d702030f8c890}{posterior} () const }
+\label{classbdm_1_1Kalman_f75e487ff6c129d7012d702030f8c890}
 
 \begin{CompactList}\small\item\em access function \item\end{CompactList}\item 
 \hypertarget{classbdm_1_1Kalman_c34989b1e53c7d4ecdaea63a95ddbd77}{
-const enorm$<$ \hyperlink{classchmat}{chmat} $>$ $\ast$ \hyperlink{classbdm_1_1Kalman_c34989b1e53c7d4ecdaea63a95ddbd77}{\_\-e} () const }
+const enorm$<$ \hyperlink{classchmat}{chmat} $>$ $\ast$ \textbf{\_\-e} () const }
 \label{classbdm_1_1Kalman_c34989b1e53c7d4ecdaea63a95ddbd77}
 
-\begin{CompactList}\small\item\em Returns a pointer to the epdf representing posterior density on parameters. Use with care! \item\end{CompactList}\item 
+\item 
 \hypertarget{classbdm_1_1Kalman_c788ec6e6c6f5f5861ae8a56d8ede277}{
 mat \& \hyperlink{classbdm_1_1Kalman_c788ec6e6c6f5f5861ae8a56d8ede277}{\_\-\_\-K} ()}
@@ -73,4 +65,18 @@
 
 \begin{CompactList}\small\item\em access function \item\end{CompactList}\item 
+\hypertarget{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}{
+const RV \& \hyperlink{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}{\_\-rvc} () const }
+\label{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}
+
+\begin{CompactList}\small\item\em access function \item\end{CompactList}\end{CompactItemize}
+\begin{Indent}{\bf Constructors}\par
+\begin{CompactItemize}
+\item 
+virtual BM $\ast$ \hyperlink{classbdm_1_1BM_c0f027ff91d8459937c6f60ff8e553ff}{\_\-copy\_\-} ()
+\end{CompactItemize}
+\end{Indent}
+\begin{Indent}{\bf Mathematical operations}\par
+\begin{CompactItemize}
+\item 
 \hypertarget{classbdm_1_1BM_1dee3fddaf021e62d925289660a707dc}{
 virtual void \hyperlink{classbdm_1_1BM_1dee3fddaf021e62d925289660a707dc}{bayesB} (const mat \&Dt)}
@@ -85,31 +91,44 @@
 
 \begin{CompactList}\small\item\em Matrix version of logpred. \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1BM_710e7d69c0d8791fb41a7cd4683cca2c}{
-virtual epdf $\ast$ \hyperlink{classbdm_1_1BM_710e7d69c0d8791fb41a7cd4683cca2c}{predictor} (const RV \&\hyperlink{classbdm_1_1BM_18d6db4af8ee42077741d9e3618153ca}{rv}) const }
-\label{classbdm_1_1BM_710e7d69c0d8791fb41a7cd4683cca2c}
-
-\begin{CompactList}\small\item\em Constructs a predictive density (marginal density on data). \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1BM_40a3c891996391e3135518053a917793}{
-const RV \& \hyperlink{classbdm_1_1BM_40a3c891996391e3135518053a917793}{\_\-rv} () const }
-\label{classbdm_1_1BM_40a3c891996391e3135518053a917793}
-
-\begin{CompactList}\small\item\em access function \item\end{CompactList}\item 
+\hypertarget{classbdm_1_1BM_688d7a2aced1e06aa1c468d73a9e5eba}{
+virtual epdf $\ast$ \hyperlink{classbdm_1_1BM_688d7a2aced1e06aa1c468d73a9e5eba}{epredictor} () const }
+\label{classbdm_1_1BM_688d7a2aced1e06aa1c468d73a9e5eba}
+
+\begin{CompactList}\small\item\em Constructs a predictive density $ f(d_{t+1} |d_{t}, \ldots d_{0}) $. \item\end{CompactList}\item 
+\hypertarget{classbdm_1_1BM_598b25e3f3d96a5bc00a5faeb5b3c912}{
+virtual mpdf $\ast$ \hyperlink{classbdm_1_1BM_598b25e3f3d96a5bc00a5faeb5b3c912}{predictor} () const }
+\label{classbdm_1_1BM_598b25e3f3d96a5bc00a5faeb5b3c912}
+
+\begin{CompactList}\small\item\em Constructs a conditional density 1-step ahead predictor. \item\end{CompactList}\end{CompactItemize}
+\end{Indent}
+\begin{Indent}{\bf Access to attributes}\par
+\begin{CompactItemize}
+\item 
+\hypertarget{classbdm_1_1BM_ff2d8755ba0b3def927d31305c03b09c}{
+const RV \& \textbf{\_\-drv} () const }
+\label{classbdm_1_1BM_ff2d8755ba0b3def927d31305c03b09c}
+
+\item 
+\hypertarget{classbdm_1_1BM_f135ae6dce7e9f30c9f88229c7930b96}{
+void \textbf{set\_\-drv} (const RV \&rv)}
+\label{classbdm_1_1BM_f135ae6dce7e9f30c9f88229c7930b96}
+
+\item 
+\hypertarget{classbdm_1_1BM_b38d92f17620813ad872d86e01a26e5e}{
+void \textbf{set\_\-rv} (const RV \&rv)}
+\label{classbdm_1_1BM_b38d92f17620813ad872d86e01a26e5e}
+
+\item 
 \hypertarget{classbdm_1_1BM_5be65d37dedfe33a3671e7065f523a70}{
-double \hyperlink{classbdm_1_1BM_5be65d37dedfe33a3671e7065f523a70}{\_\-ll} () const }
+double \textbf{\_\-ll} () const }
 \label{classbdm_1_1BM_5be65d37dedfe33a3671e7065f523a70}
 
-\begin{CompactList}\small\item\em access function \item\end{CompactList}\item 
+\item 
 \hypertarget{classbdm_1_1BM_236b3abbcc93594fc97cd86d82c1a83f}{
-void \hyperlink{classbdm_1_1BM_236b3abbcc93594fc97cd86d82c1a83f}{set\_\-evalll} (bool evl0)}
+void \textbf{set\_\-evalll} (bool evl0)}
 \label{classbdm_1_1BM_236b3abbcc93594fc97cd86d82c1a83f}
 
-\begin{CompactList}\small\item\em access function \item\end{CompactList}\item 
-virtual BM $\ast$ \hyperlink{classbdm_1_1BM_3efb3098172f1f67564a312fe732473e}{\_\-copy\_\-} (bool changerv=false)
-\item 
-\hypertarget{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}{
-const RV \& \hyperlink{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}{\_\-rvc} () const }
-\label{classbdm_1_1BMcond_7506910f93250b44fea505ec4ffb19dc}
-
-\begin{CompactList}\small\item\em access function \item\end{CompactList}\end{CompactItemize}
+\end{CompactItemize}
+\end{Indent}
 \subsection*{Protected Attributes}
 \begin{CompactItemize}
@@ -225,9 +244,9 @@
 
 \begin{CompactList}\small\item\em cache of est.R \item\end{CompactList}\item 
-\hypertarget{classbdm_1_1BM_18d6db4af8ee42077741d9e3618153ca}{
-RV \hyperlink{classbdm_1_1BM_18d6db4af8ee42077741d9e3618153ca}{rv}}
-\label{classbdm_1_1BM_18d6db4af8ee42077741d9e3618153ca}
-
-\begin{CompactList}\small\item\em Random variable of the posterior. \item\end{CompactList}\item 
+\hypertarget{classbdm_1_1BM_c400357e37d27a4834b2b1d9211009ed}{
+RV \hyperlink{classbdm_1_1BM_c400357e37d27a4834b2b1d9211009ed}{drv}}
+\label{classbdm_1_1BM_c400357e37d27a4834b2b1d9211009ed}
+
+\begin{CompactList}\small\item\em Random variable of the data (optional). \item\end{CompactList}\item 
 \hypertarget{classbdm_1_1BM_4064b6559d962633e4372b12f4cd204a}{
 double \hyperlink{classbdm_1_1BM_4064b6559d962633e4372b12f4cd204a}{ll}}
@@ -240,4 +259,9 @@
 
 \begin{CompactList}\small\item\em If true, the filter will compute likelihood of the data record and store it in {\tt ll} . Set to false if you want to save computational time. \item\end{CompactList}\item 
+\hypertarget{classbdm_1_1BMcond_1164a90f782a2a323b1ee17242100b39}{
+int \hyperlink{classbdm_1_1BMcond_1164a90f782a2a323b1ee17242100b39}{dimc}}
+\label{classbdm_1_1BMcond_1164a90f782a2a323b1ee17242100b39}
+
+\begin{CompactList}\small\item\em dimension of the conditioning variable \item\end{CompactList}\item 
 \hypertarget{classbdm_1_1BMcond_9a12750776d977408aada06a70093297}{
 RV \hyperlink{classbdm_1_1BMcond_9a12750776d977408aada06a70093297}{rvc}}
@@ -247,9 +271,21 @@
 
 
-\subsection{Detailed Description}
-Extended Kalman filter with unknown {\tt Q}. 
-
 \subsection{Member Function Documentation}
-\hypertarget{classbdm_1_1BM_50257e0c1e5b5c73153ea6e716ad8ae0}{
+\hypertarget{classbdm_1_1BM_c0f027ff91d8459937c6f60ff8e553ff}{
+\index{EKFCh\_\-cond@{EKFCh\_\-cond}!\_\-copy\_\-@{\_\-copy\_\-}}
+\index{\_\-copy\_\-@{\_\-copy\_\-}!EKFCh_cond@{EKFCh\_\-cond}}
+\subsubsection[\_\-copy\_\-]{\setlength{\rightskip}{0pt plus 5cm}virtual BM$\ast$ bdm::BM::\_\-copy\_\- ()\hspace{0.3cm}{\tt  \mbox{[}inline, virtual, inherited\mbox{]}}}}
+\label{classbdm_1_1BM_c0f027ff91d8459937c6f60ff8e553ff}
+
+
+Copy function required in vectors, Arrays of \hyperlink{classbdm_1_1BM}{BM} etc. Have to be DELETED manually! Prototype: 
+
+\begin{Code}\begin{verbatim} BM* _copy_(){return new BM(*this);} 
+\end{verbatim}
+\end{Code}
+
+ 
+
+Reimplemented in \hyperlink{classbdm_1_1ARX_60c40b5c6abc4c7e464b4ccae64a5a61}{bdm::ARX}.\hypertarget{classbdm_1_1BM_50257e0c1e5b5c73153ea6e716ad8ae0}{
 \index{EKFCh\_\-cond@{EKFCh\_\-cond}!logpred@{logpred}}
 \index{logpred@{logpred}!EKFCh_cond@{EKFCh\_\-cond}}
@@ -262,14 +298,5 @@
 Reimplemented in \hyperlink{classbdm_1_1ARX_080a7e531e3aa06694112863b15bc6a4}{bdm::ARX}, \hyperlink{classbdm_1_1MixEF_da724da464a75e07521941e430929efa}{bdm::MixEF}, and \hyperlink{classbdm_1_1multiBM_e157b607c1e3fa91d42aeea44458e2bf}{bdm::multiBM}.
 
-Referenced by bdm::BM::logpred\_\-m().\hypertarget{classbdm_1_1BM_3efb3098172f1f67564a312fe732473e}{
-\index{EKFCh\_\-cond@{EKFCh\_\-cond}!\_\-copy\_\-@{\_\-copy\_\-}}
-\index{\_\-copy\_\-@{\_\-copy\_\-}!EKFCh_cond@{EKFCh\_\-cond}}
-\subsubsection[\_\-copy\_\-]{\setlength{\rightskip}{0pt plus 5cm}virtual BM$\ast$ bdm::BM::\_\-copy\_\- (bool {\em changerv} = {\tt false})\hspace{0.3cm}{\tt  \mbox{[}inline, virtual, inherited\mbox{]}}}}
-\label{classbdm_1_1BM_3efb3098172f1f67564a312fe732473e}
-
-
-Copy function required in vectors, Arrays of \hyperlink{classbdm_1_1BM}{BM} etc. Have to be DELETED manually! Prototype: BM$\ast$ \hyperlink{classbdm_1_1BM_3efb3098172f1f67564a312fe732473e}{\_\-copy\_\-()}\{\hyperlink{classbdm_1_1BM}{BM} Tmp$\ast$=new Tmp(this$\ast$); return Tmp; \} 
-
-Reimplemented in \hyperlink{classbdm_1_1ARX_20ff2de8d862f28de7da83444d65bcdb}{bdm::ARX}, and \hyperlink{classbdm_1_1BMEF_5912dbcf28ae711e30b08c2fa766a3e6}{bdm::BMEF}.
+Referenced by bdm::BM::logpred\_\-m().
 
 The documentation for this class was generated from the following file:\begin{CompactItemize}