Index: doc/html/classbdm_1_1mlognorm.html
===================================================================
--- doc/html/classbdm_1_1mgamma.html (revision 280)
+++ doc/html/classbdm_1_1mlognorm.html (revision 287)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: bdm::mgamma Class Reference</title>
+<title>mixpp: bdm::mlognorm Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
@@ -65,41 +65,40 @@
     </ul>
   </div>
-  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1mgamma.html">mgamma</a>
+  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1mlognorm.html">mlognorm</a>
   </div>
 </div>
 <div class="contents">
-<h1>bdm::mgamma Class Reference</h1><!-- doxytag: class="bdm::mgamma" --><!-- doxytag: inherits="bdm::mEF" --><code>#include &lt;<a class="el" href="libEF_8h-source.html">libEF.h</a>&gt;</code>
+<h1>bdm::mlognorm Class Reference</h1><!-- doxytag: class="bdm::mlognorm" --><!-- doxytag: inherits="bdm::mpdf" --><code>#include &lt;<a class="el" href="libEF_8h-source.html">libEF.h</a>&gt;</code>
 <p>
 <div class="dynheader">
-Inheritance diagram for bdm::mgamma:</div>
+Inheritance diagram for bdm::mlognorm:</div>
 <div class="dynsection">
 
-<p><center><img src="classbdm_1_1mgamma.png" usemap="#bdm::mgamma_map" border="0" alt=""></center>
-<map name="bdm::mgamma_map">
-<area href="classbdm_1_1mEF.html" alt="bdm::mEF" shape="rect" coords="0,112,109,136">
-<area href="classbdm_1_1mpdf.html" alt="bdm::mpdf" shape="rect" coords="0,56,109,80">
-<area href="classbdm_1_1bdmroot.html" alt="bdm::bdmroot" shape="rect" coords="0,0,109,24">
-<area href="classbdm_1_1mgamma__fix.html" alt="bdm::mgamma_fix" shape="rect" coords="0,224,109,248">
+<p><center><img src="classbdm_1_1mlognorm.png" usemap="#bdm::mlognorm_map" border="0" alt=""></center>
+<map name="bdm::mlognorm_map">
+<area href="classbdm_1_1mpdf.html" alt="bdm::mpdf" shape="rect" coords="0,56,95,80">
+<area href="classbdm_1_1bdmroot.html" alt="bdm::bdmroot" shape="rect" coords="0,0,95,24">
 </map>
 </div>
 
 <p>
-<a href="classbdm_1_1mgamma-members.html">List of all members.</a><hr><a name="_details"></a><h2>Detailed Description</h2>
-Gamma random walk. 
-<p>
-Mean value, <img class="formulaInl" alt="$\mu$" src="form_62.png">, of this density is given by <code>rvc</code> . Standard deviation of the random walk is proportional to one <img class="formulaInl" alt="$k$" src="form_63.png">-th the mean. This is achieved by setting <img class="formulaInl" alt="$\alpha=k$" src="form_64.png"> and <img class="formulaInl" alt="$\beta=k/\mu$" src="form_65.png">.<p>
+<a href="classbdm_1_1mlognorm-members.html">List of all members.</a><hr><a name="_details"></a><h2>Detailed Description</h2>
+Log-Normal random walk. 
+<p>
+Mean value, <img class="formulaInl" alt="$\mu$" src="form_62.png">, is...<p>
+==== Check == vv = Standard deviation of the random walk is proportional to one <img class="formulaInl" alt="$k$" src="form_63.png">-th the mean. This is achieved by setting <img class="formulaInl" alt="$\alpha=k$" src="form_64.png"> and <img class="formulaInl" alt="$\beta=k/\mu$" src="form_65.png">.<p>
 The standard deviation of the walk is then: <img class="formulaInl" alt="$\mu/\sqrt(k)$" src="form_66.png">. <table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1a9dc8661e5b214a8185d6e6b9956eb1"></a><!-- doxytag: member="bdm::mgamma::mgamma" ref="1a9dc8661e5b214a8185d6e6b9956eb1" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#1a9dc8661e5b214a8185d6e6b9956eb1">mgamma</a> ()</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a5d6eb2688d02e0348b96c4fbd7bde41"></a><!-- doxytag: member="bdm::mlognorm::mlognorm" ref="a5d6eb2688d02e0348b96c4fbd7bde41" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mlognorm.html#a5d6eb2688d02e0348b96c4fbd7bde41">mlognorm</a> ()</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0f21c2557b233a85838b497d040ab14"></a><!-- doxytag: member="bdm::mgamma::set_parameters" ref="a0f21c2557b233a85838b497d040ab14" args="(double k, const vec &amp;beta0)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#a0f21c2557b233a85838b497d040ab14">set_parameters</a> (double <a class="el" href="classbdm_1_1mgamma.html#b20cf88cca1fe9b0b8f2a412608bfd09">k</a>, const vec &amp;beta0)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="604cab0e8a76f9041dc3c606043bb39f"></a><!-- doxytag: member="bdm::mlognorm::set_parameters" ref="604cab0e8a76f9041dc3c606043bb39f" args="(int size, double k)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mlognorm.html#604cab0e8a76f9041dc3c606043bb39f">set_parameters</a> (int size, double k)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value of <code>k</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8996500f1885e39cde30221b20900bff"></a><!-- doxytag: member="bdm::mgamma::condition" ref="8996500f1885e39cde30221b20900bff" args="(const vec &amp;val)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#8996500f1885e39cde30221b20900bff">condition</a> (const vec &amp;val)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9106d8fd8bdf2b6be675ffd8f3ca584e"></a><!-- doxytag: member="bdm::mlognorm::condition" ref="9106d8fd8bdf2b6be675ffd8f3ca584e" args="(const vec &amp;val)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mlognorm.html#9106d8fd8bdf2b6be675ffd8f3ca584e">condition</a> (const vec &amp;val)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Update <code>ep</code> so that it represents this <a class="el" href="classbdm_1_1mpdf.html" title="Conditional probability density, e.g. modeling some dependencies.">mpdf</a> conditioned on <code>rvc</code> = cond. <br></td></tr>
@@ -111,63 +110,62 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns.  <a href="#afe4185b26baeb03688202e254d3b005"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6336a8a72462e2a56a3989a220f18b1b"></a><!-- doxytag: member="bdm::mgamma::evallogcond" ref="6336a8a72462e2a56a3989a220f18b1b" args="(const vec &amp;dt, const vec &amp;cond)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6336a8a72462e2a56a3989a220f18b1b"></a><!-- doxytag: member="bdm::mlognorm::evallogcond" ref="6336a8a72462e2a56a3989a220f18b1b" args="(const vec &amp;dt, const vec &amp;cond)" -->
 virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#6336a8a72462e2a56a3989a220f18b1b">evallogcond</a> (const vec &amp;dt, const vec &amp;cond)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shortcut for conditioning and evaluation of the internal <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>. In some cases, this operation can be implemented efficiently. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0b0ed1ed663071bb7cf4a1349eb94fcb"></a><!-- doxytag: member="bdm::mgamma::evallogcond_m" ref="0b0ed1ed663071bb7cf4a1349eb94fcb" args="(const mat &amp;Dt, const vec &amp;cond)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0b0ed1ed663071bb7cf4a1349eb94fcb"></a><!-- doxytag: member="bdm::mlognorm::evallogcond_m" ref="0b0ed1ed663071bb7cf4a1349eb94fcb" args="(const mat &amp;Dt, const vec &amp;cond)" -->
 virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#0b0ed1ed663071bb7cf4a1349eb94fcb">evallogcond_m</a> (const mat &amp;Dt, const vec &amp;cond)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matrix version of evallogcond. <br></td></tr>
 <tr><td colspan="2"><div class="groupHeader">Access to attributes</div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5571482d150fbcb72cc36f6694ce1a10"></a><!-- doxytag: member="bdm::mgamma::_rv" ref="5571482d150fbcb72cc36f6694ce1a10" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5571482d150fbcb72cc36f6694ce1a10"></a><!-- doxytag: member="bdm::mlognorm::_rv" ref="5571482d150fbcb72cc36f6694ce1a10" args="()" -->
 <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>_rv</b> ()</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26001264236846897bd11e4baad47245"></a><!-- doxytag: member="bdm::mgamma::_rvc" ref="26001264236846897bd11e4baad47245" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26001264236846897bd11e4baad47245"></a><!-- doxytag: member="bdm::mlognorm::_rvc" ref="26001264236846897bd11e4baad47245" args="()" -->
 <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>_rvc</b> ()</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1c2bae3e1e90874e72941863974ec0ed"></a><!-- doxytag: member="bdm::mgamma::dimension" ref="1c2bae3e1e90874e72941863974ec0ed" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1c2bae3e1e90874e72941863974ec0ed"></a><!-- doxytag: member="bdm::mlognorm::dimension" ref="1c2bae3e1e90874e72941863974ec0ed" args="()" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dimension</b> ()</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="35e135910aed187b7290742f50e61bc8"></a><!-- doxytag: member="bdm::mgamma::dimensionc" ref="35e135910aed187b7290742f50e61bc8" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="35e135910aed187b7290742f50e61bc8"></a><!-- doxytag: member="bdm::mlognorm::dimensionc" ref="35e135910aed187b7290742f50e61bc8" args="()" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dimensionc</b> ()</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1892fe3933488942253679f068e9e7f6"></a><!-- doxytag: member="bdm::mgamma::_epdf" ref="1892fe3933488942253679f068e9e7f6" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1892fe3933488942253679f068e9e7f6"></a><!-- doxytag: member="bdm::mlognorm::_epdf" ref="1892fe3933488942253679f068e9e7f6" args="()" -->
 <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>_epdf</b> ()</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05e843fd11c410a99dad2b88c55aca80"></a><!-- doxytag: member="bdm::mgamma::_e" ref="05e843fd11c410a99dad2b88c55aca80" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05e843fd11c410a99dad2b88c55aca80"></a><!-- doxytag: member="bdm::mlognorm::_e" ref="05e843fd11c410a99dad2b88c55aca80" args="()" -->
 <a class="el" href="classbdm_1_1epdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>_e</b> ()</td></tr>
 
 <tr><td colspan="2"><div class="groupHeader">Connection to other objects</div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7631a5570e4ade1420065e8df78f4401"></a><!-- doxytag: member="bdm::mgamma::set_rvc" ref="7631a5570e4ade1420065e8df78f4401" args="(const RV &amp;rvc0)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7631a5570e4ade1420065e8df78f4401"></a><!-- doxytag: member="bdm::mlognorm::set_rvc" ref="7631a5570e4ade1420065e8df78f4401" args="(const RV &amp;rvc0)" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_rvc</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rvc0)</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18ac26bc2f96ae01ef4eb06178abbd75"></a><!-- doxytag: member="bdm::mgamma::set_rv" ref="18ac26bc2f96ae01ef4eb06178abbd75" args="(const RV &amp;rv0)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18ac26bc2f96ae01ef4eb06178abbd75"></a><!-- doxytag: member="bdm::mlognorm::set_rv" ref="18ac26bc2f96ae01ef4eb06178abbd75" args="(const RV &amp;rv0)" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_rv</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv0)</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f8e3798150b42fd1f3e16ddbbe0e7045"></a><!-- doxytag: member="bdm::mgamma::isnamed" ref="f8e3798150b42fd1f3e16ddbbe0e7045" args="()" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f8e3798150b42fd1f3e16ddbbe0e7045"></a><!-- doxytag: member="bdm::mlognorm::isnamed" ref="f8e3798150b42fd1f3e16ddbbe0e7045" args="()" -->
 bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>isnamed</b> ()</td></tr>
 
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bdc9f1e9e03c09e91103fee269864438"></a><!-- doxytag: member="bdm::mgamma::epdf" ref="bdc9f1e9e03c09e91103fee269864438" args="" -->
-<a class="el" href="classbdm_1_1egamma.html">egamma</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#bdc9f1e9e03c09e91103fee269864438">epdf</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> that arise by conditioning on <code>rvc</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b20cf88cca1fe9b0b8f2a412608bfd09"></a><!-- doxytag: member="bdm::mgamma::k" ref="b20cf88cca1fe9b0b8f2a412608bfd09" args="" -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#b20cf88cca1fe9b0b8f2a412608bfd09">k</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant <img class="formulaInl" alt="$k$" src="form_63.png">. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3d95f4dde9214ff6dba265e18af60312"></a><!-- doxytag: member="bdm::mgamma::_beta" ref="3d95f4dde9214ff6dba265e18af60312" args="" -->
-vec &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mgamma.html#3d95f4dde9214ff6dba265e18af60312">_beta</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">cache of epdf.beta <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c1900976ff13dbc09c9729b3bbff9e6"></a><!-- doxytag: member="bdm::mgamma::dimc" ref="7c1900976ff13dbc09c9729b3bbff9e6" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="56531859a814c60daec38c559455ffca"></a><!-- doxytag: member="bdm::mlognorm::eno" ref="56531859a814c60daec38c559455ffca" args="" -->
+<a class="el" href="classbdm_1_1elognorm.html">elognorm</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>eno</b></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a51128a2e503b8b2ce698244b9e0db1a"></a><!-- doxytag: member="bdm::mlognorm::sig2" ref="a51128a2e503b8b2ce698244b9e0db1a" args="" -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mlognorm.html#a51128a2e503b8b2ce698244b9e0db1a">sig2</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter 1/2*sigma^2 <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7d0063f77d899ef22e8c5edd642176d2"></a><!-- doxytag: member="bdm::mlognorm::mu" ref="7d0063f77d899ef22e8c5edd642176d2" args="" -->
+vec &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mlognorm.html#7d0063f77d899ef22e8c5edd642176d2">mu</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c1900976ff13dbc09c9729b3bbff9e6"></a><!-- doxytag: member="bdm::mlognorm::dimc" ref="7c1900976ff13dbc09c9729b3bbff9e6" args="" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#7c1900976ff13dbc09c9729b3bbff9e6">dimc</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dimension of the condition <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5a5f08950daa08b85b01ddf4e1c36288"></a><!-- doxytag: member="bdm::mgamma::rvc" ref="5a5f08950daa08b85b01ddf4e1c36288" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5a5f08950daa08b85b01ddf4e1c36288"></a><!-- doxytag: member="bdm::mlognorm::rvc" ref="5a5f08950daa08b85b01ddf4e1c36288" args="" -->
 <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#5a5f08950daa08b85b01ddf4e1c36288">rvc</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">random variable in condition <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5eea43c56d38e4441bfb30270db949c0"></a><!-- doxytag: member="bdm::mgamma::ep" ref="5eea43c56d38e4441bfb30270db949c0" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5eea43c56d38e4441bfb30270db949c0"></a><!-- doxytag: member="bdm::mlognorm::ep" ref="5eea43c56d38e4441bfb30270db949c0" args="" -->
 <a class="el" href="classbdm_1_1epdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#5eea43c56d38e4441bfb30270db949c0">ep</a></td></tr>
 
@@ -175,5 +173,5 @@
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="f0c1db6fcbb3aae2dd6123884457a367"></a><!-- doxytag: member="bdm::mgamma::samplecond" ref="f0c1db6fcbb3aae2dd6123884457a367" args="(const vec &amp;cond)" -->
+<a class="anchor" name="f0c1db6fcbb3aae2dd6123884457a367"></a><!-- doxytag: member="bdm::mlognorm::samplecond" ref="f0c1db6fcbb3aae2dd6123884457a367" args="(const vec &amp;cond)" -->
 <div class="memitem">
 <div class="memproto">
@@ -202,11 +200,11 @@
 <p>Reimplemented in <a class="el" href="classbdm_1_1mprod.html#ee715a8013acf9892f6cb489db595555">bdm::mprod</a>.</p>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00324">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00297">bdm::mpdf::ep</a>, and <a class="el" href="libBM_8h-source.html#l00242">bdm::epdf::sample()</a>.</p>
-
-<p>Referenced by <a class="el" href="libPF_8h-source.html#l00149">bdm::MPF&lt; BM_T &gt;::bayes()</a>, <a class="el" href="libPF_8cpp-source.html#l00007">bdm::PF::bayes()</a>, and <a class="el" href="libDS_8cpp-source.html#l00043">bdm::ArxDS::step()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00329">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00302">bdm::mpdf::ep</a>, and <a class="el" href="libBM_8h-source.html#l00242">bdm::epdf::sample()</a>.</p>
+
+<p>Referenced by <a class="el" href="libPF_8h-source.html#l00207">bdm::MPF&lt; BM_T &gt;::bayes()</a>, <a class="el" href="libPF_8cpp-source.html#l00007">bdm::PF::bayes()</a>, and <a class="el" href="libDS_8cpp-source.html#l00043">bdm::ArxDS::step()</a>.</p>
 
 </div>
 </div><p>
-<a class="anchor" name="afe4185b26baeb03688202e254d3b005"></a><!-- doxytag: member="bdm::mgamma::samplecond_m" ref="afe4185b26baeb03688202e254d3b005" args="(const vec &amp;cond, int N)" -->
+<a class="anchor" name="afe4185b26baeb03688202e254d3b005"></a><!-- doxytag: member="bdm::mlognorm::samplecond_m" ref="afe4185b26baeb03688202e254d3b005" args="(const vec &amp;cond, int N)" -->
 <div class="memitem">
 <div class="memproto">
@@ -244,12 +242,12 @@
 </dl>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00324">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00281">bdm::epdf::dimension()</a>, <a class="el" href="libBM_8h-source.html#l00297">bdm::mpdf::ep</a>, and <a class="el" href="libBM_8h-source.html#l00242">bdm::epdf::sample()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00329">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00286">bdm::epdf::dimension()</a>, <a class="el" href="libBM_8h-source.html#l00302">bdm::mpdf::ep</a>, and <a class="el" href="libBM_8h-source.html#l00242">bdm::epdf::sample()</a>.</p>
 
 </div>
 </div><p>
-<hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="libEF_8h-source.html">libEF.h</a><li>libEF.cpp</ul>
-</div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Feb 18 17:39:22 2009 for mixpp by&nbsp;
+<hr>The documentation for this class was generated from the following file:<ul>
+<li><a class="el" href="libEF_8h-source.html">libEF.h</a></ul>
+</div>
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Mar 4 18:50:24 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>