Index: doc/html/inherits.html
===================================================================
--- doc/html/inherits.html (revision 287)
+++ doc/html/inherits.html (revision 290)
@@ -2,8 +2,8 @@
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>mixpp: Graphical Class Hierarchy</title>
+<link href="tabs.css" rel="stylesheet" type="text/css">
 <link href="doxygen.css" rel="stylesheet" type="text/css">
-<link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.5.6 -->
+<!-- Generated by Doxygen 1.5.8 -->
 <script type="text/javascript">
 <!--
@@ -53,5 +53,5 @@
       <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
-      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
+      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
     </ul>
@@ -59,6 +59,6 @@
   <div class="tabs">
     <ul>
-      <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
       <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
+      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
       <li class="current"><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
       <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
@@ -72,22 +72,25 @@
 <tr><td><img src="inherit__graph__0.png" border="0" alt="" usemap="#bdm_1_1datalink_map">
 <map name="bdm_1_1datalink_map">
-<area shape="rect" href="classbdm_1_1datalink.html" title="DataLink is a connection between two data vectors Up and Down." alt="" coords="7,5,113,32"><area shape="rect" href="classbdm_1_1datalink__m2e.html" title="data link between" alt="" coords="163,5,307,32"><area shape="rect" href="classbdm_1_1datalink__m2m.html" title="bdm::datalink_m2m" alt="" coords="355,5,504,32"></map></td></tr>
+<area shape="rect" href="classbdm_1_1datalink.html" title="DataLink is a connection between two data vectors Up and Down." alt="" coords="7,5,105,32"><area shape="rect" href="classbdm_1_1datalink__m2e.html" title="data link between" alt="" coords="156,5,287,32"><area shape="rect" href="classbdm_1_1datalink__m2m.html" title="bdm::datalink_m2m" alt="" coords="336,5,472,32"></map></td></tr>
 <tr><td><img src="inherit__graph__1.png" border="0" alt="" usemap="#bdm_1_1KalmanFull_map">
 <map name="bdm_1_1KalmanFull_map">
-<area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="7,1171,119,1197"><area shape="rect" href="classbdm_1_1BM.html" title="Bayesian Model of a system, i.e. all uncertainty is modeled by probabilities." alt="" coords="203,284,280,311"><area shape="rect" href="classbdm_1_1DS.html" title="Abstract class for discrete&#45;time sources of data." alt="" coords="203,588,280,615"><area shape="rect" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="199,867,284,893"><area shape="rect" href="classbdm_1_1fnc.html" title="Class representing function &#160;of variable &#160;represented by rv." alt="" coords="203,1348,280,1375"><area shape="rect" href="classbdm_1_1logger.html" title="Class for storing results (and semi&#45;results) of an experiment." alt="" coords="192,1399,291,1425"><area shape="rect" href="classbdm_1_1mpdf.html" title="Conditional probability density, e.g. modeling some dependencies." alt="" coords="196,1171,287,1197"><area shape="rect" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables." alt="" coords="204,1449,279,1476"><area shape="rect" href="classbdm_1_1BMEF.html" title="Estimator for Exponential family." alt="" coords="407,68,500,95"><area shape="rect" href="classbdm_1_1EKFfull.html" title="Extended Kalman Filter in full matrices." alt="" coords="404,132,503,159"><area shape="rect" href="classbdm_1_1Kalman.html" title="Kalman filter with covariance matrices in square root form." alt="" coords="371,183,536,209"><area shape="rect" href="classbdm_1_1PF.html" title="Trivial particle filter with proposal density equal to parameter evolution model..." alt="" coords="417,233,489,260"><area shape="rect" href="classEKFfixed.html" title="Extended Kalman Filter with full matrices in fixed point arithmetic." alt="" coords="416,284,491,311"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; chmat \&gt;" alt="" coords="365,335,541,361"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; fsqmat \&gt;" alt="" coords="363,385,544,412"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; ldmat \&gt;" alt="" coords="367,436,540,463"><area shape="rect" href="classbdm_1_1ARX.html" title="Linear Autoregressive model with Gaussian noise." alt="" coords="639,5,721,32"><area shape="rect" href="classbdm_1_1MixEF.html" title="Mixture of Exponential Family Densities." alt="" coords="633,56,727,83"><area shape="rect" href="classbdm_1_1multiBM.html" title="Estimator for Multinomial density." alt="" coords="625,107,735,133"><area shape="rect" href="classbdm_1_1EKFful__unQR.html" title="Extended Kalman filter with unknown Q and R." alt="" coords="612,157,748,184"><area shape="rect" href="classbdm_1_1MPF.html" title="Marginalized Particle filter." alt="" coords="607,233,753,260"><area shape="rect" href="classbdm_1_1KalmanCh.html" title="Kalman filter in square root form." alt="" coords="619,335,741,361"><area shape="rect" href="classbdm_1_1EKFCh.html" title="Extended Kalman Filter in Square root." alt="" coords="841,335,940,361"><area shape="rect" href="classbdm_1_1EKFCh__cond.html" title="Extended Kalman filter with unknown parameters in IM." alt="" coords="1013,233,1149,260"><area shape="rect" href="classbdm_1_1EKFCh__unQ.html" title="Extended Kalman filter in Choleski form with unknown Q." alt="" coords="1016,284,1147,311"><area shape="rect" href="classEKF__unQ.html" title="Extended Kalman filter with unknown Q." alt="" coords="1043,335,1120,361"><area shape="rect" href="classEKFCh__cond.html" title="Extended Kalman filter with unknown Q." alt="" coords="1032,385,1131,412"><area shape="rect" href="classEKFCh__du__kQ.html" title="Extended Kalman filter with unknown Q and delta u." alt="" coords="1028,436,1135,463"><area shape="rect" href="classbdm_1_1EKF.html" title="Extended Kalman Filter." alt="" coords="611,385,749,412"><area shape="rect" href="classbdm_1_1KFcondQR.html" title="Kalman Filter with conditional diagonal matrices R and Q." alt="" coords="619,436,741,463"><area shape="rect" href="classbdm_1_1KFcondR.html" title="Kalman Filter with conditional diagonal matrices R and Q." alt="" coords="624,487,736,513"><area shape="rect" href="classbdm_1_1ArxDS.html" title="Generator of ARX data." alt="" coords="404,512,503,539"><area shape="rect" href="classbdm_1_1MemDS.html" title="Memory storage of off&#45;line data column&#45;wise." alt="" coords="399,563,508,589"><area shape="rect" href="classpmsmDS.html" title="Simulator of PMSM machine with predefined profile on omega." alt="" coords="413,613,493,640"><area shape="rect" href="classbdm_1_1FileDS.html" title="bdm::FileDS" alt="" coords="632,537,728,564"><area shape="rect" href="classbdm_1_1eEF.html" title="General conjugate exponential family posterior density." alt="" coords="413,689,493,716"><area shape="rect" href="classbdm_1_1eEmp.html" title="Weighted empirical density." alt="" coords="405,740,501,767"><area shape="rect" href="classbdm_1_1emix.html" title="Mixture of epdfs." alt="" coords="409,791,497,817"><area shape="rect" href="classbdm_1_1eprod.html" title="Product of independent epdfs. For dependent pdfs, use mprod." alt="" coords="405,841,501,868"><area shape="rect" href="classbdm_1_1euni.html" title="Uniform distributed density on a rectangular support." alt="" coords="411,892,496,919"><area shape="rect" href="classbdm_1_1iW.html" title="bdm::iW" alt="" coords="417,943,489,969"><area shape="rect" href="classbdm_1_1merger.html" title="Function for general combination of pdfs." alt="" coords="401,993,505,1020"><area shape="rect" href="classbdm_1_1eDirich.html" title="Dirichlet posterior density." alt="" coords="629,588,731,615"><area shape="rect" href="classbdm_1_1egamma.html" title="Gamma posterior density." alt="" coords="623,639,737,665"><area shape="rect" href="classbdm_1_1egiw.html" title="Gauss&#45;inverse&#45;Wishart density stored in LD form." alt="" coords="637,689,723,716"><area shape="rect" href="classbdm_1_1enorm.html" title="Gaussian density with positive definite (decomposed) covariance matrix." alt="" coords="600,740,760,767"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; chmat \&gt;" alt="" coords="595,791,765,817"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; fsqmat \&gt;" alt="" coords="592,841,768,868"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; ldmat \&gt;" alt="" coords="596,892,764,919"><area shape="rect" href="classbdm_1_1eigamma.html" title="Inverse&#45;Gamma posterior density." alt="" coords="831,639,951,665"><area shape="rect" href="classbdm_1_1elognorm.html" title="bdm::elognorm" alt="" coords="831,892,951,919"><area shape="rect" href="classbdm_1_1constfn.html" title="class representing function , here rv is empty" alt="" coords="401,1348,505,1375"><area shape="rect" href="classbdm_1_1diffbifn.html" title="Class representing a differentiable function of two variables ." alt="" coords="404,1399,503,1425"><area shape="rect" href="classbdm_1_1linfn.html" title="Class representing function ." alt="" coords="412,1449,495,1476"><area shape="rect" href="classbdm_1_1bilinfn.html" title="Class representing function ." alt="" coords="632,1297,728,1324"><area shape="rect" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to ." alt="" coords="643,1348,717,1375"><area shape="rect" href="classIMpmsm2o.html" title="State evolution model for a PMSM drive and its derivative with respect to ." alt="" coords="635,1399,725,1425"><area shape="rect" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to ." alt="" coords="639,1449,721,1476"><area shape="rect" href="classIMpmsmStat.html" title="State evolution model for a PMSM drive and its derivative with respect to , equation..." alt="" coords="839,1348,943,1375"><area shape="rect" href="classbdm_1_1memlog.html" title="Logging into matrices in data format in memory." alt="" coords="397,1500,509,1527"><area shape="rect" href="classbdm_1_1dirfilelog.html" title="Logging into dirfile with buffer in memory." alt="" coords="624,1500,736,1527"><area shape="rect" href="classbdm_1_1mEF.html" title="Exponential family model." alt="" coords="411,1095,496,1121"><area shape="rect" href="classbdm_1_1mepdf.html" title="Unconditional mpdf, allows using epdf in the role of mpdf." alt="" coords="404,1145,503,1172"><area shape="rect" href="classbdm_1_1mlognorm.html" title="Log&#45;Normal random walk." alt="" coords="392,1196,515,1223"><area shape="rect" href="classbdm_1_1mmix.html" title="Mixture of mpdfs with constant weights, all mpdfs are of equal type." alt="" coords="407,1247,500,1273"><area shape="rect" href="classbdm_1_1mprod.html" title="Chain rule decomposition of epdf." alt="" coords="404,1044,503,1071"><area shape="rect" href="classbdm_1_1mratio.html" title="Class representing ratio of two densities which arise e.g. by applying the Bayes..." alt="" coords="404,1297,503,1324"><area shape="rect" href="classbdm_1_1mgamma.html" title="Gamma random walk." alt="" coords="620,993,740,1020"><area shape="rect" href="classbdm_1_1mgnorm.html" title="Mpdf with general function for mean value." alt="" coords="595,1044,765,1071"><area shape="rect" href="classbdm_1_1migamma.html" title="Inverse&#45;Gamma random walk." alt="" coords="619,1095,741,1121"><area shape="rect" href="classbdm_1_1mlnorm.html" title="Normal distributed linear function with linear function of mean value;." alt="" coords="596,1145,764,1172"><area shape="rect" href="classbdm_1_1mlnorm.html" title="bdm::mlnorm\&lt; ldmat \&gt;" alt="" coords="592,1196,768,1223"><area shape="rect" href="classbdm_1_1mgamma__fix.html" title="Gamma random walk around a fixed point." alt="" coords="820,993,961,1020"><area shape="rect" href="classbdm_1_1migamma__ref.html" title="Inverse&#45;Gamma random walk around a fixed point." alt="" coords="817,1095,964,1121"><area shape="rect" href="classbdm_1_1mlstudent.html" title="bdm::mlstudent" alt="" coords="829,1196,952,1223"><area shape="rect" href="classbdm_1_1compositepdf.html" title="Abstract composition of pdfs, will be used for specific classes this abstract class..." alt="" coords="169,1019,313,1045"><area shape="rect" href="classbdm_1_1KalmanFull.html" title="Basic Kalman filter with full matrices (education purpose only)! Will be deleted..." alt="" coords="179,132,304,159"></map></td></tr>
+<area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="5,1171,107,1197"><area shape="rect" href="classbdm_1_1BM.html" title="Bayesian Model of a system, i.e. all uncertainty is modeled by probabilities." alt="" coords="184,284,259,311"><area shape="rect" href="classbdm_1_1DS.html" title="Abstract class for discrete&#45;time sources of data." alt="" coords="185,588,257,615"><area shape="rect" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="181,867,261,893"><area shape="rect" href="classbdm_1_1fnc.html" title="Class representing function &#160;of variable &#160;represented by rv." alt="" coords="185,1348,257,1375"><area shape="rect" href="classbdm_1_1logger.html" title="Class for storing results (and semi&#45;results) of an experiment." alt="" coords="177,1399,265,1425"><area shape="rect" href="classbdm_1_1mpdf.html" title="Conditional probability density, e.g. modeling some dependencies." alt="" coords="180,1171,263,1197"><area shape="rect" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables." alt="" coords="185,1449,257,1476"><area shape="rect" href="classbdm_1_1BMEF.html" title="Estimator for Exponential family." alt="" coords="372,68,463,95"><area shape="rect" href="classbdm_1_1EKFfull.html" title="Extended Kalman Filter in full matrices." alt="" coords="369,132,465,159"><area shape="rect" href="classbdm_1_1Kalman.html" title="Kalman filter with covariance matrices in square root form." alt="" coords="341,183,493,209"><area shape="rect" href="classbdm_1_1PF.html" title="Trivial particle filter with proposal density equal to parameter evolution model..." alt="" coords="381,233,453,260"><area shape="rect" href="classEKFfixed.html" title="Extended Kalman Filter with full matrices in fixed point arithmetic." alt="" coords="380,284,455,311"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; chmat \&gt;" alt="" coords="339,335,496,361"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; fsqmat \&gt;" alt="" coords="336,385,499,412"><area shape="rect" href="classbdm_1_1Kalman.html" title="bdm::Kalman\&lt; ldmat \&gt;" alt="" coords="340,436,495,463"><area shape="rect" href="classbdm_1_1ARX.html" title="Linear Autoregressive model with Gaussian noise." alt="" coords="584,5,664,32"><area shape="rect" href="classbdm_1_1MixEF.html" title="Mixture of Exponential Family Densities." alt="" coords="579,56,669,83"><area shape="rect" href="classbdm_1_1multiBM.html" title="Estimator for Multinomial density." alt="" coords="573,107,675,133"><area shape="rect" href="classbdm_1_1EKFful__unQR.html" title="Extended Kalman filter with unknown Q and R." alt="" coords="557,157,691,184"><area shape="rect" href="classbdm_1_1MPF.html" title="Marginalized Particle filter." alt="" coords="553,233,695,260"><area shape="rect" href="classbdm_1_1KalmanCh.html" title="Kalman filter in square root form." alt="" coords="567,335,681,361"><area shape="rect" href="classbdm_1_1EKFCh.html" title="Extended Kalman Filter in Square root." alt="" coords="768,335,864,361"><area shape="rect" href="classbdm_1_1EKFCh__cond.html" title="Extended Kalman filter with unknown parameters in IM." alt="" coords="932,208,1063,235"><area shape="rect" href="classbdm_1_1EKFCh__unQ.html" title="Extended Kalman filter in Choleski form with unknown Q." alt="" coords="933,259,1061,285"><area shape="rect" href="classEKF__unQ.html" title="Extended Kalman filter with unknown Q." alt="" coords="959,309,1036,336"><area shape="rect" href="classEKF__unQR.html" title="Extended Kalman filter with unknown Q." alt="" coords="953,360,1041,387"><area shape="rect" href="classEKFCh__cond.html" title="Extended Kalman filter with unknown Q." alt="" coords="948,411,1047,437"><area shape="rect" href="classEKFCh__du__kQ.html" title="Extended Kalman filter with unknown Q and delta u." alt="" coords="944,461,1051,488"><area shape="rect" href="classbdm_1_1EKF.html" title="Extended Kalman Filter." alt="" coords="557,385,691,412"><area shape="rect" href="classbdm_1_1KFcondQR.html" title="Kalman Filter with conditional diagonal matrices R and Q." alt="" coords="565,436,683,463"><area shape="rect" href="classbdm_1_1KFcondR.html" title="Kalman Filter with conditional diagonal matrices R and Q." alt="" coords="571,487,677,513"><area shape="rect" href="classbdm_1_1ArxDS.html" title="Generator of ARX data." alt="" coords="372,512,463,539"><area shape="rect" href="classbdm_1_1MemDS.html" title="Memory storage of off&#45;line data column&#45;wise." alt="" coords="367,563,468,589"><area shape="rect" href="classpmsmDS.html" title="Simulator of PMSM machine with predefined profile on omega." alt="" coords="380,613,455,640"><area shape="rect" href="classbdm_1_1FileDS.html" title="bdm::FileDS" alt="" coords="577,537,671,564"><area shape="rect" href="classbdm_1_1eEF.html" title="General conjugate exponential family posterior density." alt="" coords="379,689,456,716"><area shape="rect" href="classbdm_1_1eEmp.html" title="Weighted empirical density." alt="" coords="373,740,461,767"><area shape="rect" href="classbdm_1_1emix.html" title="Mixture of epdfs." alt="" coords="376,791,459,817"><area shape="rect" href="classbdm_1_1eprod.html" title="Product of independent epdfs. For dependent pdfs, use mprod." alt="" coords="375,841,460,868"><area shape="rect" href="classbdm_1_1euni.html" title="Uniform distributed density on a rectangular support." alt="" coords="379,892,456,919"><area shape="rect" href="classbdm_1_1iW.html" title="bdm::iW" alt="" coords="383,943,452,969"><area shape="rect" href="classbdm_1_1merger.html" title="Function for general combination of pdfs." alt="" coords="371,993,464,1020"><area shape="rect" href="classbdm_1_1eDirich.html" title="Dirichlet posterior density." alt="" coords="577,588,671,615"><area shape="rect" href="classbdm_1_1egamma.html" title="Gamma posterior density." alt="" coords="572,639,676,665"><area shape="rect" href="classbdm_1_1egiw.html" title="Gauss&#45;inverse&#45;Wishart density stored in LD form." alt="" coords="584,689,664,716"><area shape="rect" href="classbdm_1_1enorm.html" title="Gaussian density with positive definite (decomposed) covariance matrix." alt="" coords="552,740,696,767"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; chmat \&gt;" alt="" coords="549,791,699,817"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; fsqmat \&gt;" alt="" coords="547,841,701,868"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; ldmat \&gt;" alt="" coords="551,892,697,919"><area shape="rect" href="classbdm_1_1eigamma.html" title="Inverse&#45;Gamma posterior density." alt="" coords="763,639,869,665"><area shape="rect" href="classbdm_1_1elognorm.html" title="bdm::elognorm" alt="" coords="763,892,869,919"><area shape="rect" href="classbdm_1_1constfn.html" title="class representing function , here rv is empty" alt="" coords="369,1348,465,1375"><area shape="rect" href="classbdm_1_1diffbifn.html" title="Class representing a differentiable function of two variables ." alt="" coords="372,1399,463,1425"><area shape="rect" href="classbdm_1_1linfn.html" title="Class representing function ." alt="" coords="379,1449,456,1476"><area shape="rect" href="classbdm_1_1bilinfn.html" title="Class representing function ." alt="" coords="580,1297,668,1324"><area shape="rect" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to ." alt="" coords="588,1348,660,1375"><area shape="rect" href="classIMpmsm2o.html" title="State evolution model for a PMSM drive and its derivative with respect to ." alt="" coords="581,1399,667,1425"><area shape="rect" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to ." alt="" coords="585,1449,663,1476"><area shape="rect" href="classIMpmsmStat.html" title="State evolution model for a PMSM drive and its derivative with respect to , equation..." alt="" coords="768,1348,864,1375"><area shape="rect" href="classbdm_1_1memlog.html" title="Logging into matrices in data format in memory." alt="" coords="368,1500,467,1527"><area shape="rect" href="classbdm_1_1dirfilelog.html" title="Logging into dirfile with buffer in memory." alt="" coords="573,1500,675,1527"><area shape="rect" href="classbdm_1_1mEF.html" title="Exponential family model." alt="" coords="376,1095,459,1121"><area shape="rect" href="classbdm_1_1mepdf.html" title="Unconditional mpdf, allows using epdf in the role of mpdf." alt="" coords="372,1145,463,1172"><area shape="rect" href="classbdm_1_1mlognorm.html" title="Log&#45;Normal random walk." alt="" coords="361,1196,473,1223"><area shape="rect" href="classbdm_1_1mmix.html" title="Mixture of mpdfs with constant weights, all mpdfs are of equal type." alt="" coords="375,1247,460,1273"><area shape="rect" href="classbdm_1_1mprod.html" title="Chain rule decomposition of epdf." alt="" coords="372,1044,463,1071"><area shape="rect" href="classbdm_1_1mratio.html" title="Class representing ratio of two densities which arise e.g. by applying the Bayes..." alt="" coords="372,1297,463,1324"><area shape="rect" href="classbdm_1_1mgamma.html" title="Gamma random walk." alt="" coords="571,993,677,1020"><area shape="rect" href="classbdm_1_1mgnorm.html" title="Mpdf with general function for mean value." alt="" coords="547,1044,701,1071"><area shape="rect" href="classbdm_1_1migamma.html" title="Inverse&#45;Gamma random walk." alt="" coords="568,1095,680,1121"><area shape="rect" href="classbdm_1_1mlnorm.html" title="Normal distributed linear function with linear function of mean value;." alt="" coords="549,1145,699,1172"><area shape="rect" href="classbdm_1_1mlnorm.html" title="bdm::mlnorm\&lt; ldmat \&gt;" alt="" coords="548,1196,700,1223"><area shape="rect" href="classbdm_1_1mgamma__fix.html" title="Gamma random walk around a fixed point." alt="" coords="752,993,880,1020"><area shape="rect" href="classbdm_1_1migamma__ref.html" title="Inverse&#45;Gamma random walk around a fixed point." alt="" coords="749,1095,883,1121"><area shape="rect" href="classbdm_1_1mlstudent.html" title="bdm::mlstudent" alt="" coords="760,1196,872,1223"><area shape="rect" href="classbdm_1_1compositepdf.html" title="Abstract composition of pdfs, will be used for specific classes this abstract class..." alt="" coords="156,1019,287,1045"><area shape="rect" href="classbdm_1_1KalmanFull.html" title="Basic Kalman filter with full matrices (education purpose only)! Will be deleted..." alt="" coords="161,132,281,159"></map></td></tr>
 <tr><td><img src="inherit__graph__2.png" border="0" alt="" usemap="#bdm_1_1str_map">
 <map name="bdm_1_1str_map">
-<area shape="rect" href="classbdm_1_1str.html" title="Structure of RV (used internally), i.e. expanded RVs." alt="" coords="7,5,81,32"></map></td></tr>
+<area shape="rect" href="classbdm_1_1str.html" title="Structure of RV (used internally), i.e. expanded RVs." alt="" coords="5,5,75,32"></map></td></tr>
 <tr><td><img src="inherit__graph__3.png" border="0" alt="" usemap="#bdm_1_1UIbuilder_map">
 <map name="bdm_1_1UIbuilder_map">
-<area shape="rect" href="classbdm_1_1UIbuilder.html" title="Builds computational object from a UserInfo structure." alt="" coords="5,284,120,311"><area shape="rect" href="classbdm_1_1UIexternal.html" title="bdm::UIexternal" alt="" coords="169,5,292,32"><area shape="rect" href="classbdm_1_1UIinternal.html" title="bdm::UIinternal" alt="" coords="171,56,291,83"><area shape="rect" href="classUIARX.html" title="UIARX" alt="" coords="201,107,260,133"><area shape="rect" href="classUIArxDS.html" title="UIArxDS" alt="" coords="193,157,268,184"><area shape="rect" href="classUIdirfilelog.html" title="UI for dirfilelog (Kst file format)." alt="" coords="187,208,275,235"><area shape="rect" href="classUImgnorm.html" title="UImgnorm" alt="" coords="187,259,275,285"><area shape="rect" href="classUImigamma__ref.html" title="UImigamma_ref" alt="" coords="169,309,292,336"><area shape="rect" href="classUImlognorm.html" title="UImlognorm" alt="" coords="181,360,280,387"><area shape="rect" href="classUIpmsmDS.html" title="UI for pmsmDS,." alt="" coords="184,411,277,437"><area shape="rect" href="classUIpmsmOM.html" title="UI for pmsm observation model." alt="" coords="183,461,279,488"><area shape="rect" href="classUIrv.html" title="UI for class RV (description of data vectors)." alt="" coords="208,512,253,539"><area shape="rect" href="classUIstateDS.html" title="UIstateDS" alt="" coords="188,563,273,589"></map></td></tr>
-<tr><td><img src="inherit__graph__4.png" border="0" alt="" usemap="#sqmat_map">
+<area shape="rect" href="classbdm_1_1UIbuilder.html" title="Builds computational object from a UserInfo structure." alt="" coords="7,284,111,311"><area shape="rect" href="classbdm_1_1UIexternal.html" title="bdm::UIexternal" alt="" coords="161,5,273,32"><area shape="rect" href="classbdm_1_1UIinternal.html" title="bdm::UIinternal" alt="" coords="163,56,272,83"><area shape="rect" href="classUIARX.html" title="UIARX" alt="" coords="187,107,248,133"><area shape="rect" href="classUIArxDS.html" title="UIArxDS" alt="" coords="181,157,253,184"><area shape="rect" href="classUIdirfilelog.html" title="UI for dirfilelog (Kst file format)." alt="" coords="176,208,259,235"><area shape="rect" href="classUImgnorm.html" title="UImgnorm" alt="" coords="177,259,257,285"><area shape="rect" href="classUImigamma__ref.html" title="UImigamma_ref" alt="" coords="161,309,273,336"><area shape="rect" href="classUImlognorm.html" title="UImlognorm" alt="" coords="172,360,263,387"><area shape="rect" href="classUIpmsmDS.html" title="UI for pmsmDS,." alt="" coords="173,411,261,437"><area shape="rect" href="classUIpmsmOM.html" title="UI for pmsm observation model." alt="" coords="172,461,263,488"><area shape="rect" href="classUIrv.html" title="UI for class RV (description of data vectors)." alt="" coords="195,512,240,539"><area shape="rect" href="classUIstateDS.html" title="UIstateDS" alt="" coords="177,563,257,589"></map></td></tr>
+<tr><td><img src="inherit__graph__4.png" border="0" alt="" usemap="#itpp_1_1Gamma__RNG_map">
+<map name="itpp_1_1Gamma__RNG_map">
+<area shape="rect" href="classitpp_1_1Gamma__RNG.html" title="Gamma distribution." alt="" coords="7,5,137,32"></map></td></tr>
+<tr><td><img src="inherit__graph__5.png" border="0" alt="" usemap="#sqmat_map">
 <map name="sqmat_map">
-<area shape="rect" href="classsqmat.html" title="Virtual class for representation of double symmetric matrices in square&#45;root form..." alt="" coords="7,56,68,83"><area shape="rect" href="classchmat.html" title="Symmetric matrix stored in square root decomposition using upper cholesky." alt="" coords="120,5,181,32"><area shape="rect" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix." alt="" coords="117,56,184,83"><area shape="rect" href="classldmat.html" title="Matrix stored in LD form, (commonly known as UD)." alt="" coords="121,107,180,133"></map></td></tr>
+<area shape="rect" href="classsqmat.html" title="Virtual class for representation of double symmetric matrices in square&#45;root form..." alt="" coords="7,56,63,83"><area shape="rect" href="classchmat.html" title="Symmetric matrix stored in square root decomposition using upper cholesky." alt="" coords="115,5,171,32"><area shape="rect" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix." alt="" coords="112,56,173,83"><area shape="rect" href="classldmat.html" title="Matrix stored in LD form, (commonly known as UD)." alt="" coords="116,107,169,133"></map></td></tr>
 </table>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Mar 4 18:50:18 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Fri Mar 6 15:01:38 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
 </body>
 </html>