Index: doc/html/classbdm_1_1eWishartCh.html
===================================================================
--- doc/html/classbdm_1_1epdf.html (revision 290)
+++ doc/html/classbdm_1_1eWishartCh.html (revision 296)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: bdm::epdf Class Reference</title>
+<title>mixpp: bdm::eWishartCh Class Reference</title>
 <link href="tabs.css" rel="stylesheet" type="text/css">
 <link href="doxygen.css" rel="stylesheet" type="text/css">
@@ -65,18 +65,37 @@
     </ul>
   </div>
-  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1epdf.html">epdf</a>
+  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1eWishartCh.html">eWishartCh</a>
   </div>
 </div>
 <div class="contents">
-<h1>bdm::epdf Class Reference</h1><!-- doxytag: class="bdm::epdf" --><!-- doxytag: inherits="bdm::bdmroot" -->Probability density function with numerical statistics, e.g. posterior density.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &lt;<a class="el" href="libBM_8h-source.html">libBM.h</a>&gt;</code>
+<h1>bdm::eWishartCh Class Reference</h1><!-- doxytag: class="bdm::eWishartCh" --><!-- doxytag: inherits="bdm::epdf" --><code>#include &lt;<a class="el" href="libEF_8h-source.html">libEF.h</a>&gt;</code>
 <p>
 
 <p>
-<a href="classbdm_1_1epdf-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
+<a href="classbdm_1_1eWishartCh-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="183d961532ee97b7dc5ec81701aa59a0"></a><!-- doxytag: member="bdm::eWishartCh::set_parameters" ref="183d961532ee97b7dc5ec81701aa59a0" args="(const mat &amp;Y0, const double delta0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_parameters</b> (const mat &amp;Y0, const double delta0)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc664035d70d2622bf264a29270f8339"></a><!-- doxytag: member="bdm::eWishartCh::sample_mat" ref="cc664035d70d2622bf264a29270f8339" args="() const " -->
+mat&nbsp;</td><td class="memItemRight" valign="bottom"><b>sample_mat</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f2154b8b5be8f4c5788f261b6d57b9a"></a><!-- doxytag: member="bdm::eWishartCh::sample" ref="8f2154b8b5be8f4c5788f261b6d57b9a" args="() const " -->
+vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#8f2154b8b5be8f4c5788f261b6d57b9a">sample</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a sample, <img class="formulaInl" alt="$ x $" src="form_42.png"> from density <img class="formulaInl" alt="$ f_x()$" src="form_43.png">. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4eee757c0535c2a88bb20f0767c64981"></a><!-- doxytag: member="bdm::eWishartCh::setY" ref="4eee757c0535c2a88bb20f0767c64981" args="(const mat &amp;Ch0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#4eee757c0535c2a88bb20f0767c64981">setY</a> (const mat &amp;Ch0)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">fast access function y0 will be copied into Y.Ch. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7eac414ec10b85aa5536b0092c57bc4a"></a><!-- doxytag: member="bdm::eWishartCh::_setY" ref="7eac414ec10b85aa5536b0092c57bc4a" args="(const vec &amp;ch0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#7eac414ec10b85aa5536b0092c57bc4a">_setY</a> (const vec &amp;ch0)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">fast access function y0 will be copied into Y.Ch. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1708cacb5d8cb1b96395d35f5327cb7e"></a><!-- doxytag: member="bdm::eWishartCh::getY" ref="1708cacb5d8cb1b96395d35f5327cb7e" args="() const " -->
+const <a class="el" href="classchmat.html">chmat</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#1708cacb5d8cb1b96395d35f5327cb7e">getY</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
 <tr><td colspan="2"><div class="groupHeader">Constructors</div></td></tr>
 <tr><td colspan="2"><div class="groupText">Construction of each <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> should support two types of constructors: <ul>
@@ -89,50 +108,37 @@
 </ul>
 All internal data structures are constructed as empty. Their values (including sizes) will be set by method <code>set_parameters()</code>. This way references can be initialized in constructors. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="992f3de956fb3439c62225156aafb6f6"></a><!-- doxytag: member="bdm::epdf::epdf" ref="992f3de956fb3439c62225156aafb6f6" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>epdf</b> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e50af83245e56edf5cd76dbb4347d030"></a><!-- doxytag: member="bdm::epdf::epdf" ref="e50af83245e56edf5cd76dbb4347d030" args="(const epdf &amp;e)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>epdf</b> (const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;e)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fdfed7aa18f2870951888b1dde977415"></a><!-- doxytag: member="bdm::epdf::epdf" ref="fdfed7aa18f2870951888b1dde977415" args="(const RV &amp;rv0)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>epdf</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv0)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="840de94aa33cf4f2ebd2427f45a165d8"></a><!-- doxytag: member="bdm::epdf::set_parameters" ref="840de94aa33cf4f2ebd2427f45a165d8" args="(int dim0)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="840de94aa33cf4f2ebd2427f45a165d8"></a><!-- doxytag: member="bdm::eWishartCh::set_parameters" ref="840de94aa33cf4f2ebd2427f45a165d8" args="(int dim0)" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_parameters</b> (int dim0)</td></tr>
 
 <tr><td colspan="2"><div class="groupHeader">Matematical Operations</div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="75ba57a89681a8efec488f5796c7cc1b"></a><!-- doxytag: member="bdm::epdf::sample" ref="75ba57a89681a8efec488f5796c7cc1b" args="() const " -->
-virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#75ba57a89681a8efec488f5796c7cc1b">sample</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a sample, <img class="formulaInl" alt="$ x $" src="form_42.png"> from density <img class="formulaInl" alt="$ f_x()$" src="form_43.png">. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b4cf45fd83cc7573ede9fe1215256058"></a><!-- doxytag: member="bdm::epdf::sample_m" ref="b4cf45fd83cc7573ede9fe1215256058" args="(int N) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b4cf45fd83cc7573ede9fe1215256058"></a><!-- doxytag: member="bdm::eWishartCh::sample_m" ref="b4cf45fd83cc7573ede9fe1215256058" args="(int N) const " -->
 virtual mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#b4cf45fd83cc7573ede9fe1215256058">sample_m</a> (int N) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns N samples, <img class="formulaInl" alt="$ [x_1 , x_2 , \ldots \ $" src="form_44.png"> from density <img class="formulaInl" alt="$ f_x(rv)$" src="form_45.png">. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="deab266d63c236c277538867d5c3f249"></a><!-- doxytag: member="bdm::epdf::evallog" ref="deab266d63c236c277538867d5c3f249" args="(const vec &amp;val) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="deab266d63c236c277538867d5c3f249"></a><!-- doxytag: member="bdm::eWishartCh::evallog" ref="deab266d63c236c277538867d5c3f249" args="(const vec &amp;val) const " -->
 virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#deab266d63c236c277538867d5c3f249">evallog</a> (const vec &amp;val) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute log-probability of argument <code>val</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34956d4dd3176eeb5937cf48a1546b62"></a><!-- doxytag: member="bdm::epdf::evallog_m" ref="34956d4dd3176eeb5937cf48a1546b62" args="(const mat &amp;Val) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34956d4dd3176eeb5937cf48a1546b62"></a><!-- doxytag: member="bdm::eWishartCh::evallog_m" ref="34956d4dd3176eeb5937cf48a1546b62" args="(const mat &amp;Val) const " -->
 virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#34956d4dd3176eeb5937cf48a1546b62">evallog_m</a> (const mat &amp;Val) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute log-probability of multiple values argument <code>val</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e584eac5579c1b6384947ecf66166c77"></a><!-- doxytag: member="bdm::epdf::condition" ref="e584eac5579c1b6384947ecf66166c77" args="(const RV &amp;rv) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e584eac5579c1b6384947ecf66166c77"></a><!-- doxytag: member="bdm::eWishartCh::condition" ref="e584eac5579c1b6384947ecf66166c77" args="(const RV &amp;rv) const " -->
 virtual <a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#e584eac5579c1b6384947ecf66166c77">condition</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;<a class="el" href="classbdm_1_1epdf.html#62c5b8ff71d9ebe6cd58d3c342eb1dc8">rv</a>) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return conditional density on the given <a class="el" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables.">RV</a>, the remaining rvs will be in conditioning. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3fb2ece54f720b62ad325e61214fa0a1"></a><!-- doxytag: member="bdm::epdf::marginal" ref="3fb2ece54f720b62ad325e61214fa0a1" args="(const RV &amp;rv) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3fb2ece54f720b62ad325e61214fa0a1"></a><!-- doxytag: member="bdm::eWishartCh::marginal" ref="3fb2ece54f720b62ad325e61214fa0a1" args="(const RV &amp;rv) const " -->
 virtual <a class="el" href="classbdm_1_1epdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#3fb2ece54f720b62ad325e61214fa0a1">marginal</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;<a class="el" href="classbdm_1_1epdf.html#62c5b8ff71d9ebe6cd58d3c342eb1dc8">rv</a>) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return marginal density on the given <a class="el" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables.">RV</a>, the remainig rvs are intergrated out. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0c8d13d788094605b3cdab20a6e22b75"></a><!-- doxytag: member="bdm::epdf::mean" ref="0c8d13d788094605b3cdab20a6e22b75" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0c8d13d788094605b3cdab20a6e22b75"></a><!-- doxytag: member="bdm::eWishartCh::mean" ref="0c8d13d788094605b3cdab20a6e22b75" args="() const " -->
 virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#0c8d13d788094605b3cdab20a6e22b75">mean</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">return expected value <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4543d40ccfc5d549b0c831a57a3ed84c"></a><!-- doxytag: member="bdm::epdf::variance" ref="4543d40ccfc5d549b0c831a57a3ed84c" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4543d40ccfc5d549b0c831a57a3ed84c"></a><!-- doxytag: member="bdm::eWishartCh::variance" ref="4543d40ccfc5d549b0c831a57a3ed84c" args="() const " -->
 virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#4543d40ccfc5d549b0c831a57a3ed84c">variance</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">return expected variance (not covariance!) <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0a7705e80601957f7226d333a0a6d539"></a><!-- doxytag: member="bdm::epdf::qbounds" ref="0a7705e80601957f7226d333a0a6d539" args="(vec &amp;lb, vec &amp;ub, double percentage=0.95) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0a7705e80601957f7226d333a0a6d539"></a><!-- doxytag: member="bdm::eWishartCh::qbounds" ref="0a7705e80601957f7226d333a0a6d539" args="(vec &amp;lb, vec &amp;ub, double percentage=0.95) const " -->
 virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#0a7705e80601957f7226d333a0a6d539">qbounds</a> (vec &amp;lb, vec &amp;ub, double percentage=0.95) const </td></tr>
 
@@ -140,27 +146,39 @@
 <tr><td colspan="2"><div class="groupHeader">Connection to other classes</div></td></tr>
 <tr><td colspan="2"><div class="groupText">Description of the random quantity via attribute <code>rv</code> is optional. For operations such as sampling <code>rv</code> does not need to be set. However, for <code>marginalization</code> and <code>conditioning</code> <code>rv</code> has to be set. NB: <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f423e28448dbb69ef4905295ec8de8ff"></a><!-- doxytag: member="bdm::epdf::set_rv" ref="f423e28448dbb69ef4905295ec8de8ff" args="(const RV &amp;rv0)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f423e28448dbb69ef4905295ec8de8ff"></a><!-- doxytag: member="bdm::eWishartCh::set_rv" ref="f423e28448dbb69ef4905295ec8de8ff" args="(const RV &amp;rv0)" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#f423e28448dbb69ef4905295ec8de8ff">set_rv</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv0)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name its rv. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4b863ff84c7a4882fb3ad18556027f9"></a><!-- doxytag: member="bdm::epdf::isnamed" ref="c4b863ff84c7a4882fb3ad18556027f9" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4b863ff84c7a4882fb3ad18556027f9"></a><!-- doxytag: member="bdm::eWishartCh::isnamed" ref="c4b863ff84c7a4882fb3ad18556027f9" args="() const " -->
 bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#c4b863ff84c7a4882fb3ad18556027f9">isnamed</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">True if rv is assigned. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a4ab378d5e004c3ff3e2d4e64f7bba21"></a><!-- doxytag: member="bdm::epdf::_rv" ref="a4ab378d5e004c3ff3e2d4e64f7bba21" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a4ab378d5e004c3ff3e2d4e64f7bba21"></a><!-- doxytag: member="bdm::eWishartCh::_rv" ref="a4ab378d5e004c3ff3e2d4e64f7bba21" args="() const " -->
 const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#a4ab378d5e004c3ff3e2d4e64f7bba21">_rv</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return name (fails when isnamed is false). <br></td></tr>
 <tr><td colspan="2"><div class="groupHeader">Access to attributes</div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7083a65f7b7a0d0d13b2c516bd2ec29c"></a><!-- doxytag: member="bdm::epdf::dimension" ref="7083a65f7b7a0d0d13b2c516bd2ec29c" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7083a65f7b7a0d0d13b2c516bd2ec29c"></a><!-- doxytag: member="bdm::eWishartCh::dimension" ref="7083a65f7b7a0d0d13b2c516bd2ec29c" args="() const " -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#7083a65f7b7a0d0d13b2c516bd2ec29c">dimension</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Size of the random variable. <br></td></tr>
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16adac20ec7fe07e1ea0b27d917788ce"></a><!-- doxytag: member="bdm::epdf::dim" ref="16adac20ec7fe07e1ea0b27d917788ce" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1b42f9284a32f23b0b253a628cda7490"></a><!-- doxytag: member="bdm::eWishartCh::Y" ref="1b42f9284a32f23b0b253a628cda7490" args="" -->
+<a class="el" href="classchmat.html">chmat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#1b42f9284a32f23b0b253a628cda7490">Y</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Upper-Triagle of Choleski decomposition of <img class="formulaInl" alt="$ \Psi $" src="form_123.png">. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b745c73faef785009484180582050a1f"></a><!-- doxytag: member="bdm::eWishartCh::p" ref="b745c73faef785009484180582050a1f" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#b745c73faef785009484180582050a1f">p</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dimension of matrix <img class="formulaInl" alt="$ \Psi $" src="form_123.png"> <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1879a14d7d2bb05062523b189baa11c3"></a><!-- doxytag: member="bdm::eWishartCh::delta" ref="1879a14d7d2bb05062523b189baa11c3" args="" -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eWishartCh.html#1879a14d7d2bb05062523b189baa11c3">delta</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">degrees of freedom <img class="formulaInl" alt="$ \nu $" src="form_124.png"> <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16adac20ec7fe07e1ea0b27d917788ce"></a><!-- doxytag: member="bdm::eWishartCh::dim" ref="16adac20ec7fe07e1ea0b27d917788ce" args="" -->
 int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#16adac20ec7fe07e1ea0b27d917788ce">dim</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dimension of the random variable <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="62c5b8ff71d9ebe6cd58d3c342eb1dc8"></a><!-- doxytag: member="bdm::epdf::rv" ref="62c5b8ff71d9ebe6cd58d3c342eb1dc8" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="62c5b8ff71d9ebe6cd58d3c342eb1dc8"></a><!-- doxytag: member="bdm::eWishartCh::rv" ref="62c5b8ff71d9ebe6cd58d3c342eb1dc8" args="" -->
 <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1epdf.html#62c5b8ff71d9ebe6cd58d3c342eb1dc8">rv</a></td></tr>
 
@@ -168,8 +186,8 @@
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-Probability density function with numerical statistics, e.g. posterior density. <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="libBM_8h-source.html">libBM.h</a><li>libBM.cpp</ul>
+inverse Wishart density defined on Choleski decomposition <hr>The documentation for this class was generated from the following file:<ul>
+<li><a class="el" href="libEF_8h-source.html">libEF.h</a></ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Fri Mar 6 15:01:39 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Mar 17 13:52:06 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>