Index: doc/html/functions_0x65.html
===================================================================
--- doc/html/functions_0x65.html (revision 305)
+++ doc/html/functions_0x65.html (revision 312)
@@ -110,10 +110,8 @@
 <li>eEF()
 : <a class="el" href="classbdm_1_1eEF.html#d5459d472d0feca7cf1fb5f65c4b9ef4">bdm::eEF</a>
+<li>effss_coef
+: <a class="el" href="classbdm_1_1merger.html#045974350a3612ef4080eab6360b3d70">bdm::merger</a>
 <li>EKF()
 : <a class="el" href="classbdm_1_1EKF.html#d087a8bb408d26ac4f5c542746b81059">bdm::EKF&lt; sq_T &gt;</a>
-<li>EKF_unQ()
-: <a class="el" href="classEKF__unQ.html#159eaaa5a05c5ceecdaa20956a307244">EKF_unQ</a>
-<li>EKF_unQR()
-: <a class="el" href="classEKF__unQR.html#799e37b12d9ed35eb940fe8e4e7e1fe6">EKF_unQR</a>
 <li>EKFCh_du_kQ()
 : <a class="el" href="classEKFCh__du__kQ.html#79d84eb2df4de0e4f3153ce4a910e895">EKFCh_du_kQ</a>
@@ -136,6 +134,6 @@
 : <a class="el" href="classbdm_1_1mmix.html#0c4dd6ca6556ddd8ae3c5f3257c04b60">bdm::mmix</a>
 <li>epdfs
-: <a class="el" href="classbdm_1_1mprod.html#eca722ed1b219727c6c0f8cbc6bf1e51">bdm::mprod</a>
-, <a class="el" href="classbdm_1_1eprod.html#fa0b0981730f0a8339b9ff3e29d78391">bdm::eprod</a>
+: <a class="el" href="classbdm_1_1eprod.html#fa0b0981730f0a8339b9ff3e29d78391">bdm::eprod</a>
+, <a class="el" href="classbdm_1_1mprod.html#eca722ed1b219727c6c0f8cbc6bf1e51">bdm::mprod</a>
 <li>epredictor()
 : <a class="el" href="classbdm_1_1ARX.html#749827323c034f11bec61b6e2fc3d42a">bdm::ARX</a>
@@ -153,6 +151,7 @@
 , <a class="el" href="classbdm_1_1multiBM.html#9ecc6878abbd20eb8d8e43b6ab3f941a">bdm::multiBM</a>
 <li>eval()
-: <a class="el" href="classbdm_1_1diffbifn.html#188f31066bd72e1bf0ddacd1eb0e6af3">bdm::diffbifn</a>
+: <a class="el" href="classbdm_1_1diffbifn.html#b5462c05b58cd38367ff946836bb82d3">bdm::diffbifn</a>
 , <a class="el" href="classbdm_1_1bilinfn.html#846c21e8e8d41555eb7c075f5ff86ffd">bdm::bilinfn</a>
+, <a class="el" href="classbdm_1_1diffbifn.html#188f31066bd72e1bf0ddacd1eb0e6af3">bdm::diffbifn</a>
 , <a class="el" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe">IMpmsm</a>
 , <a class="el" href="classIMpmsm2o.html#86e04b5118e567ea7a2540059f553f41">IMpmsm2o</a>
@@ -167,13 +166,13 @@
 : <a class="el" href="classbdm_1_1BM.html#faff0ad12556fe7dc0e2807d4fd938ee">bdm::BM</a>
 <li>evallog()
-: <a class="el" href="classbdm_1_1emix.html#0f3db99f730bde6b7953931594537e8e">bdm::emix</a>
+: <a class="el" href="classbdm_1_1eprod.html#a5a91e67d2f74ff2b0b8eecde2fa42e2">bdm::eprod</a>
 , <a class="el" href="classbdm_1_1epdf.html#deab266d63c236c277538867d5c3f249">bdm::epdf</a>
+, <a class="el" href="classbdm_1_1merger.html#c47543661897638cab9f506c76a1f92f">bdm::merger</a>
+, <a class="el" href="classbdm_1_1emix.html#0f3db99f730bde6b7953931594537e8e">bdm::emix</a>
+, <a class="el" href="classbdm_1_1eEF.html#a36d06ecdd6f4c79dc122510eaccc692">bdm::eEF</a>
 , <a class="el" href="classbdm_1_1eEmp.html#01654c014d3aa068f8d4ecba4be86d09">bdm::eEmp</a>
+, <a class="el" href="classbdm_1_1egamma.html#a8e11e5a580ff42a1b205974c60768c6">bdm::egamma</a>
 , <a class="el" href="classbdm_1_1eEF.html#79a7c8ea8c02e45d410bd1d7ffd72b41">bdm::eEF</a>
-, <a class="el" href="classbdm_1_1eprod.html#a5a91e67d2f74ff2b0b8eecde2fa42e2">bdm::eprod</a>
-, <a class="el" href="classbdm_1_1merger.html#c47543661897638cab9f506c76a1f92f">bdm::merger</a>
-, <a class="el" href="classbdm_1_1egamma.html#a8e11e5a580ff42a1b205974c60768c6">bdm::egamma</a>
 , <a class="el" href="classbdm_1_1euni.html#caa07b8307bd793d5339d6583e0aba81">bdm::euni</a>
-, <a class="el" href="classbdm_1_1eEF.html#a36d06ecdd6f4c79dc122510eaccc692">bdm::eEF</a>
 <li>evallog_m()
 : <a class="el" href="classbdm_1_1epdf.html#34956d4dd3176eeb5937cf48a1546b62">bdm::epdf</a>
@@ -188,6 +187,6 @@
 , <a class="el" href="classbdm_1_1egiw.html#bfb8e7c619b34ad804a73bff71742b5e">bdm::egiw</a>
 <li>evallogcond()
-: <a class="el" href="classbdm_1_1mprod.html#800f21d94c919137608a2fd5c88719e2">bdm::mprod</a>
-, <a class="el" href="classbdm_1_1mratio.html#3a2cbce8c61ca9f592d9c2220f7c1204">bdm::mratio</a>
+: <a class="el" href="classbdm_1_1mratio.html#3a2cbce8c61ca9f592d9c2220f7c1204">bdm::mratio</a>
+, <a class="el" href="classbdm_1_1mprod.html#800f21d94c919137608a2fd5c88719e2">bdm::mprod</a>
 , <a class="el" href="classbdm_1_1mpdf.html#6336a8a72462e2a56a3989a220f18b1b">bdm::mpdf</a>
 <li>evallogcond_m()
@@ -195,5 +194,5 @@
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Apr 8 16:12:37 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Apr 9 14:33:20 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>